Saltar al contenido principal
POST
/
v1
/
public
/
accounts
/
{account_id}
/
auth
/
service-accounts
Crear cuenta de servicio de la cuenta
curl --request POST \
  --url https://api.hybridbox.io/v1/public/accounts/{account_id}/auth/service-accounts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "expires_at": "2023-11-07T05:31:56Z"
}
'
{
  "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "token": "<string>",
  "token_last4": "<string>",
  "token_prefix": "<string>",
  "token_public_id": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "expires_at": "2023-11-07T05:31:56Z",
  "last_used_at": "2023-11-07T05:31:56Z",
  "revoked_at": "2023-11-07T05:31:56Z",
  "revoked_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Documentation Index

Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt

Use this file to discover all available pages before exploring further.

Autorizaciones

Authorization
string
header
requerido

Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.

Parámetros de ruta

account_id
string<uuid>
requerido

Cuerpo

application/json

Cuerpo de la solicitud para crear una cuenta de servicio.

name
string
requerido

Nombre legible de la cuenta de servicio

Required string length: 1 - 120
expires_at
string<date-time> | null

Marca de tiempo UTC opcional de caducidad del token

Respuesta

account_id
string<uuid>
requerido
created_at
string<date-time>
requerido
id
string<uuid>
requerido
name
string
requerido
token
string
requerido

Token bearer en texto claro. Guárdalo ahora; nunca se volverá a devolver.

token_last4
string
requerido
token_prefix
string
requerido
token_public_id
string
requerido
updated_at
string<date-time>
requerido
created_by_user_id
string<uuid> | null
expires_at
string<date-time> | null
last_used_at
string<date-time> | null
revoked_at
string<date-time> | null
revoked_by_user_id
string<uuid> | null